/*
 * TagReadBeep.h
 *
 *  Created on: 27.04.2010
 *      Author: stefan.detter
 */

#ifndef TAGREADBEEP_H_
#define TAGREADBEEP_H_

#include "../TagReadHandlerBase.h"


class TagReadBeep : public TagReadHandlerBase
{
	Q_OBJECT
public:
	TagReadBeep(QWidget* mainWidget, Application* manager, QObject* parent = 0);
	virtual ~TagReadBeep();

public slots:
	virtual void handlingActivated ( bool on );
	virtual void tagEvent(const TagEvent& /*event*/);

private:
	uint 					m_beepType;
	uint 					m_beepParallel;
};



#endif /* TAGREADBEEP_H_ */
